Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceholderView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface PlaceholderView
extends MarkupBasedView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a placeholder. A placeholder will hold a set of placeables, i.e. portlets and/or books.

See Also:
  `View`

Method Summary
`int` | `getBookCount()` Convenience method to count all books held by this placeholder.
`BookView[]` | `getBookViews()` Get all books held by this placeholder.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this placeholder.
`int` | `getLocation()` Return this placeholders layout location.
`int` | `getPlaceableCount()` Convenience method to count all placeables (books or portlets) held by this placeholder.
`PlaceableView[]` | `getPlaceableViews()` Get all placeables (books or portlets) held by this placeholder.
`PlaceholderDefinition` | `getPlaceholderDefinition()` Retrieve the associated `PlaceholderDefinition` from this Placeholder View.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()` Getter for placeholder definition id.
`int` | `getPortletCount()` Convenience method to count all portlets held by this placeholder.
`PortletView` | `getPortletView(PortletInstanceId portletId)` Get the portlet for a given database instance ID.
`PortletView[]` | `getPortletViews()` Get all portlets held by this placeholder.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getBookCount

    public int getBookCount()

  Convenience method to count all books held by this placeholder.

### getBookViews

    public BookView[] getBookViews()

  Get all books held by this placeholder. Returns an empty array if there are none.

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this placeholder.

  Returns:
    a non null LocalizationResourceView customized per the request.

### getLocation

    public int getLocation()

  Return this placeholders layout location. The location is an integer representing column or location in the layout. example: 0 == first column

  Returns:
    the layout location a number >= 0

### getPlaceableCount

    public int getPlaceableCount()

  Convenience method to count all placeables (books or portlets) held by this placeholder.

### getPlaceableViews

    public PlaceableView[] getPlaceableViews()

  Get all placeables (books or portlets) held by this placeholder. Returns an empty array if there are none.

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition()

  Retrieve the associated `PlaceholderDefinition` from this Placeholder View. Placeholder Views are immutable but Placeholder Instances and Placeholder Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Placeholder Definition.

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

  Getter for placeholder definition id. The placeholder id is the primary key value for the shell definition in the PF_PLACEHOLDER_DEFINITION table. Unlike Book Pages and Portlets, placeholdes do not have instances. The admin or end user can still change his or her palceholder but they are customizing the page not the placeholder.

  Returns:
    a non null unique definition id. This value should never be null as views are constructed via the persistence API.

### getPortletCount

    public int getPortletCount()

  Convenience method to count all portlets held by this placeholder.

### getPortletView

    public PortletView getPortletView(PortletInstanceId portletId)

  Get the portlet for a given database instance ID. Return null if there is no such portlet.

### getPortletViews

    public PortletView[] getPortletViews()

  Get all portlets held by this placeholder. Returns an empty array if there are none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved